StarObjectSmallGraphicInternal::SdrGraphic Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphic Class Reference

Internal: virtual class to store a Sdr graphic. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphic:

## Public Member Functions
| SdrGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
void | updateStyle (STOFFGraphicStyle &style, StarObject &, STOFFListenerPtr) const
| try to update the style More...
virtual std::string | print () const
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Public Attributes
STOFFBox2i | m_bdbox
| the bdbox More...
int | m_layerId
| the layer id More...
STOFFVec2i | m_anchorPosition
| the anchor position More...
std::vector< GluePoint > | m_polygon
| a polygon More...
bool | m_flags [6]
| a list of flag More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphic const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a Sdr graphic.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphic::SdrGraphic | ( | int | id | ) |
| inlineexplicit

constructor

## Member Function Documentation

std::string StarObjectSmallGraphicInternal::SdrGraphic::getName | ( |  | ) | const
| inlinevirtual

return the object name

Implements StarObjectSmallGraphicInternal::Graphic.

virtual std::string StarObjectSmallGraphicInternal::SdrGraphic::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::Graphic.

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicUno, StarObjectSmallGraphicInternal::SdrGraphicPath, StarObjectSmallGraphicInternal::SdrGraphicPage, StarObjectSmallGraphicInternal::SdrGraphicOLE, StarObjectSmallGraphicInternal::SdrGraphicMeasure, StarObjectSmallGraphicInternal::SdrGraphicGraph, StarObjectSmallGraphicInternal::SdrGraphicEdge, StarObjectSmallGraphicInternal::SdrGraphicCircle, StarObjectSmallGraphicInternal::SdrGraphicCaption, StarObjectSmallGraphicInternal::SdrGraphicRect, StarObjectSmallGraphicInternal::SdrGraphicText, StarObjectSmallGraphicInternal::SdrGraphicGroup, and StarObjectSmallGraphicInternal::SdrGraphicAttribute.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicAttribute::print(), StarObjectSmallGraphicInternal::SdrGraphicGroup::print(), and StarObjectSmallGraphicInternal::SdrGraphicPage::print().

void StarObjectSmallGraphicInternal::SdrGraphic::updateStyle | ( | STOFFGraphicStyle & | style,
|  | StarObject & | ,
|  | STOFFListenerPtr |
| ) |  | const
| inline

try to update the style

Referenced by StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SdrGraphic const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphic::m_anchorPosition

the anchor position

Referenced by StarObjectSmallGraphic::readSVDRObjectHeader().

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphic::m_bdbox

the bdbox

Referenced by StarObjectSmallGraphic::readSVDRObjectHeader().

bool StarObjectSmallGraphicInternal::SdrGraphic::m_flags[6]

a list of flag

Referenced by StarObjectSmallGraphic::readSVDRObjectHeader().

int StarObjectSmallGraphicInternal::SdrGraphic::m_layerId

the layer id

Referenced by StarObjectSmallGraphic::readSVDRObjectHeader().

std::vector<GluePoint> StarObjectSmallGraphicInternal::SdrGraphic::m_polygon

a polygon

Referenced by StarObjectSmallGraphic::readSVDRObjectHeader().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx